/* --- お知らせ一覧ページ（カードセクション） --- */

.page-title-wrap {
    margin-top: 230px;
}

.news-list-page-section {
    padding: 80px 0;
}

/* カードの配置（グリッド） */
.news-card-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 80px;
    margin-top: 100px;
    margin-bottom: 100px;
}

/* 個別のお知らせカード */
.news-card-item {
    display: block;
    position: relative;
    background-color: #fff;
    border-radius: 20px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.05);
    text-decoration: none;
    overflow: hidden;
    min-height: 300px;
    transition: transform 0.3s, box-shadow 0.3s;
}

.news-card-item:hover {
    transform: translateY(-8px) rotate(1deg);
    box-shadow: 0 12px 20px rgba(0, 0, 0, 0.15);
    background-color: #fffde7;
}

.card-inner {
    position: relative;
    z-index: 2;
    text-align: center;
    display: flex;
    flex-direction: column;
    height: 100%;
    justify-content: flex-start;
    padding: 55px 25px 80px;
}

.news-date {
    font-size: 14px;
    color: var(--text-color);
    margin-bottom: 10px;
    font-weight: bold;
}

.news-text {
    font-size: 16px;
    color: var(--text-color);
    font-weight: bold;
    line-height: 1.5;
}

.card-background-deco {
    position: absolute;
    bottom: 0;
    left: 0;
    top: 60px;
    width: 100%;
    height: 100%;
    background-image: url('../../img/Footer_usagi.png');
    background-size: cover;
    background-position: bottom;
    z-index: 1;
}


/*media Queries 959px
----------------------------------------------------*/
@media (max-width: 959px) {
    .page-title-wrap {
        margin-top: 0;
    }
}



/*media Queries 767px
----------------------------------------------------*/
@media (max-width: 767px) {

    /* ニュース日付のサイズを調整 */
    .news-date {
        font-size: 13px;
    }

    /* お知らせ本文のサイズを調整 */
    .news-text {
        font-size: var(--size-sm);
    }

    .news-card-item {
        min-height: 220px;
        max-width: 500px;
        width: 100%;
        display: block;
        margin: 0 auto;
    }

    .news-card-grid {
        grid-template-columns: 1fr;
        gap: 40px;
    }

    .news-list-page-section {
        padding: 40px 0;
    }

    .card-inner {
        padding: 40px 20px 70px;
    }

    .card-background-deco {
        bottom: 0;
        height: 100%;

    }

}